Subject: [VRRP] RFC5798 requires usage of RAs?

From: Daniel Roesen <[email-masked]>
Date: Fri, 15 Apr 2011 10:57:09 +0200

Hi,

JUNOS (Juniper router firmware) issues warnings when committing config
changes, noting that RAs are not configured for an interface where VRRP
for IPv6 is configured:

vrrpd[15299]: %CONFLICT-0-WARNING: 'router-advertisement' is not configured
for interface ge-9/2/2.662

RFC5798 states:

6.4.3.  Master
...
         (630) ++ MUST send ND Router Advertisements for the virtual
         router.

That makes no sense to us when RAs are generally not used on the
segment, and hosts are manually configured to point to the VRRP virtual
address as default gateway. We do not want to use RAs in some scenarios
at all.

I've found an older posting on this list, where someone raised the same
question (Q-2):
http://www.ietf.org/mail-archive/web/vrrp/current/msg00763.html

John Cruz' answer seems to clarify, but noone seemed to have envisioned
that the spec lingo actually motivates vendors to assume RAs as being
mandatory when implementing VRRPv6... :-/

RFC5798 states in the introductory section about IPv6 (1.3):

   IPv6 hosts on a LAN will usually learn about one or more default
   routers by receiving Router Advertisements sent using the IPv6
   Neighbor Discovery (ND) protocol [RFC4861].

Given that it says "usually", it recognizes that there are scenarios
where RAs are NOT being used. Unfortunately several bits of language in
the RFC doesn't reflect that, so I would like to suggest changing
specifically rule 630 and section 8.2.3 to reflect no-RA scenarios.

Best regards,
Daniel

---

From: Stephen Nadas <[email-masked]>
Date: Thu, 28 Apr 2011 11:36:44 -0400

Hi Daniel, 

Sorry for the delay.  I think the spec language could be better- 
(630) etc probably should have said something more like 

"if ND RAs are in use, MUST send ND Router Advertisements for the virtual router. 

Thanks,
Steve 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Roesen
Sent: Friday, April 15, 2011 4:57 AM
To: [email-masked]
Subject: [VRRP] RFC5798 requires usage of RAs?

Hi,

JUNOS (Juniper router firmware) issues warnings when committing config changes, noting that RAs are not configured for an interface where VRRP for IPv6 is configured:

vrrpd[15299]: %CONFLICT-0-WARNING: 'router-advertisement' is not configured for interface ge-9/2/2.662

RFC5798 states:

6.4.3.  Master
...

That makes no sense to us when RAs are generally not used on the segment, and hosts are manually configured to point to the VRRP virtual address as default gateway. We do not want to use RAs in some scenarios at all.

I've found an older posting on this list, where someone raised the same question (Q-2):
http://www.ietf.org/mail-archive/web/vrrp/current/msg00763.html

John Cruz' answer seems to clarify, but noone seemed to have envisioned that the spec lingo actually motivates vendors to assume RAs as being mandatory when implementing VRRPv6... :-/

Given that it says "usually", it recognizes that there are scenarios where RAs are NOT being used. Unfortunately several bits of language in the RFC doesn't reflect that, so I would like to suggest changing specifically rule 630 and section 8.2.3 to reflect no-RA scenarios.

Best regards,
Daniel

_______________________________________________
vrrp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vrrp

---

From: Daniel Roesen <[email-masked]>
Date: Thu, 28 Apr 2011 19:19:41 +0200

Hi,

> "if ND RAs are in use, MUST send ND Router Advertisements for the virtual router. 

Indeed. Thanks for the confirmation.

My understanding of IETF procedures is, that an Errata submission would
be possible, valid way to unambiguate that language - which is advisable
to prevent further implementation confusion.

Shall I go ahead and draft up an erratum or do you want to take up
on that yourself?

Best regards,
Daniel

-- 
CLUE-RIPE -- Jabber: [email-masked] -- dr@IRCnet -- PGP: 0xA85C8AA0

---

From: Stephen Nadas <[email-masked]>
Date: Thu, 28 Apr 2011 13:48:40 -0400

If you have cycles to propose text, that would be helpful, IMO. 
Thanks,
Steve  

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Roesen
Sent: Thursday, April 28, 2011 1:20 PM
To: [email-masked]
Subject: Re: [VRRP] RFC5798 requires usage of RAs?

Hi,

My understanding of IETF procedures is, that an Errata submission would be possible, valid way to unambiguate that language - which is advisable to prevent further implementation confusion.

Shall I go ahead and draft up an erratum or do you want to take up on that yourself?

Best regards,
Daniel

--
CLUE-RIPE -- Jabber: [email-masked] -- dr@IRCnet -- PGP: 0xA85C8AA0 _______________________________________________
vrrp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vrrp